<!-- Form Window -->
<html>

<head>
<title>{%const:title%} - {%title%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/scripts.js"></script>
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/toolbar.js"></script>
<script language="JavaScript" type="text/javascript">
<!--
function resize_row()
{
        var a = document.body.offsetHeight;
        var b;

        if (a-374 != 0 ) {
                b=Math.floor((a-374)/14);
                if(22 + b > 0)
                {
                  document.Form.Input.rows=22 + b;
                }else
                {
                  document.Form.Input.rows=1;
                }
        }
}



function AllowTabCharacter() {
  try {
   if (event != null) {
      if (event.srcElement) {
         if (event.srcElement.value) {
            if (event.keyCode == 9) {  // tab character
               if (document.selection != null) {

                  document.selection.createRange().text = '\t';
                  event.returnValue = false;
               }
               else {
                  event.srcElement.value += '\t';
                  return false;
               }
            }
          }
      }
   }
  } catch(e) {}
}


function load_win()
{
  resize_row();

  if((typeof window.dialogArguments)=='object' || (typeof window.parent.dialogArguments) == 'object')
    {

      var el = window.dialogArguments;
      if(el == null)
        el = window.parent.dialogArguments;

      document.Form.Input.value = el.thevalue;
      document.thetags = el.thetags;
      document.thesamples = el.thesamples;
      document.thesamplenames = el.thesamplenames;
      var tags_array = document.thetags.split(";");
      for(f=0; f< tags_array.length; f++)
      {
        var oOption = document.createElement("OPTION");
        document.Form.listbox_tags.options.add(oOption);
        if(cnst.isFF)
          oOption.innerHTML = tags_array[f];
        else
          oOption.innerText = tags_array[f];
        oOption.value = tags_array[f];
      }
      for(f=0; f< document.thesamplenames.length; f++)
      {
        var oOption = document.createElement("OPTION");
        document.Form.listbox_samples.options.add(oOption);
        if(cnst.isFF)
          oOption.innerHTML = document.thesamplenames[f];
        else
          oOption.innerText = document.thesamplenames[f];
        oOption.value = f;
      }

    }else
    {
      if(window.dialogArguments != null)
        document.Form.Input.value = window.dialogArguments.value;
      else
        document.Form.Input.value = window.parent.dialogArguments.value;
    }
}


function AddText(text)
{
  if (document.Form.Input.createTextRange && document.Form.Input.caretPos) {

    var caretPos = document.Form.Input.caretPos;
    caretPos.text = text;
  } else if (document.Form.Input.selectionStart || document.Form.Input.selectionStart == '0') {
    var myField = document.Form.Input;
    var startPos = myField.selectionStart;
    var endPos = myField.selectionEnd;
    myField.value = myField.value.substring(0, startPos)
      + text
      + myField.value.substring(endPos, myField.value.length);
    myField.selectionStart = startPos + text.length;
    myField.selectionEnd = myField.selectionStart;

  } else {
    document.Form.Input.value += text;
  }
  document.Form.Input.focus();


}



//-->
</script>
</head>

<body bgcolor="#F0F0F0" topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" onResize="resize_row();" onLoad="load_win();">

<table width="100%" border="0" cellspacing="0" cellpadding="5" class="formInFrame">
<form name="Form" id="Form">
<tr>
  <td  width="20" class="formLabel">
    Tools:
  </td>
  <td class="formControl">
    <span id="elemselect"><select name="listbox_elems" size="1">
      <option value="[if !val1 == !val2][else][/if]">IF..ELSE</option>
      <option value="[if !val1 == !val2][/if]">IF</option>
      <option value="[foreach !array $key $row][/foreach]">FOREACH</option>
      <option value="[list !array][/list]">LIST</option>
      <option value="[cycle name seperator 'values']">CYCLE</option>
    </select><input type="button" name="addelembtn" value="Add Element"  onClick="javascript:AddText(listbox_elems.value);" /></span>
    <span id="tagselect"><select id="listbox_tags" name="listbox_tags" size="1"></select><input type="button" name="addtagbtn" value="Add Tag" onClick="javascript:AddText(listbox_tags.value);" /></span>
    <span id="sampleselect"><select name="listbox_samples" size="1"></select><input type="button" name="addsamplebtn" value="Load Sample" onClick="javascript:document.Form.Input.value = document.thesamples[listbox_samples.value];" /></span>
  </td>
</tr>
<tr>
  <td  width="20" class="formLabel">
    Contents:
  </td>
  <td class="formControl">
    <textarea name="Input" onkeydown="AllowTabCharacter()" class="formEdit" style="font-family: 'Courier New', Courier, monospace;" wrap="off" rows="23" cols="85" onselect="storeCaret(this);" onclick="storeCaret(this);" onkeyup="storeCaret(this);" onchange="storeCaret(this);">{%str:templ_contents%}</textarea>
  </td>
</tr>
</form>
</table>


</body>

</html>

